Class | Nokogiri::XML::ParseOptions
In: | lib/nokogiri/xml/parse_options.rb
Parent: | Object

Parse options for passing to Nokogiri.XML or Nokogiri.HTML

### Methods

inspect new strict strict?

### Constants

STRICT | = | 0 |  | Strict parsing
RECOVER | = | 1 << 0 |  | Recover from errors
NOENT | = | 1 << 1 |  | Substitute entities
DTDLOAD | = | 1 << 2 |  | Load external subsets
DTDATTR | = | 1 << 3 |  | Default DTD attributes
DTDVALID | = | 1 << 4 |  | validate with the DTD
NOERROR | = | 1 << 5 |  | suppress error reports
NOWARNING | = | 1 << 6 |  | suppress warning reports
PEDANTIC | = | 1 << 7 |  | pedantic error reporting
NOBLANKS | = | 1 << 8 |  | remove blank nodes
SAX1 | = | 1 << 9 |  | use the SAX1 interface internally
XINCLUDE | = | 1 << 10 |  | Implement XInclude substitition
NONET | = | 1 << 11 |  | Forbid network access
NODICT | = | 1 << 12 |  | Do not reuse the context dictionnary
NSCLEAN | = | 1 << 13 |  | remove redundant namespaces declarations
NOCDATA | = | 1 << 14 |  | merge CDATA as text nodes
NOXINCNODE | = | 1 << 15 |  | do not generate XINCLUDE START/END nodes
DEFAULT_XML | = | RECOVER |  | the default options used for parsing XML documents
DEFAULT_HTML | = | RECOVER | NOERROR | NOWARNING | NONET |  | the default options used for parsing HTML documents

### External Aliases

options | -> | to_i

### Attributes

options | [RW] |

### Public Class methods

new(options = STRICT)

### Public Instance methods

inspect()
strict()
strict?()

[Validate]